<?php
/**
 * The header for our theme
 *
 * @subpackage Graphics Designer
 * @since 1.0
 * @version 0.1
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} else {
    do_action( 'wp_body_open' );
}?>

<a class="screen-reader-text skip-link" href="#skip-content"><?php esc_html_e( 'Skip to content', 'graphics-designer' ); ?></a>

<div id="header">
	<!-- <div class="container"> -->
	<div class="main-header ">
		<!-- <div class="row mx-0"> -->
			<div class="h-top">
				<div class="row">
						<!-- <div class="h-topinn"> -->
					<div class="col-lg-8 col-md-8 con-p-m mx-0">
						<div class="row">
							<?php if(get_theme_mod('graphics_designer_phone_number') != ''){ ?>
							<div class="col-lg-6 col-md-6 mx-0">
								<i class="fas fa-phone"></i>	
								<a href="tel:<?php echo esc_attr(get_theme_mod('graphics_designer_phone_number')) ?>"><?php echo esc_html(get_theme_mod('graphics_designer_phone_number')); ?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('graphics_designer_phone_number')); ?></span></a>
							</div>
							<?php }?>

							<?php if(get_theme_mod('graphics_designer_email') != ''){ ?>
							<div class="email col-lg-6 col-md-6 mx-0 pd-0">
								<i class="fa fa-envelope"></i>		
								<a href="mail:<?php echo esc_attr(get_theme_mod('graphics_designer_email')) ?>"><?php echo esc_html(get_theme_mod('graphics_designer_email')); ?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('graphics_designer_email')); ?></span></a>
							</div>
							<?php }?>
						</div>
					</div>
						<div class="col-lg-4 col-md-4 ">
							<?php if(get_theme_mod('graphics_designer_facebook_url') != '' || get_theme_mod('graphics_designer_twitter_url') != '' || get_theme_mod('graphics_designer_instagram_url') != '' || get_theme_mod('graphics_designer_pinterest_url') != ''){ ?>
							<div class="phone">
								<div class="social-icons text-md-right text-center">
									<?php if(get_theme_mod('graphics_designer_facebook_url') != ''){?>
										<a href="<?php echo esc_url(get_theme_mod('graphics_designer_facebook_url')) ?>"><i class="fab fa-facebook-f"></i><span class="screen-reader-text"><?php echo esc_html('Facebook', 'graphics-designer'); ?></span></a>
									<?php }?>
									<?php if(get_theme_mod('graphics_designer_twitter_url') != ''){?>
										<a href="<?php echo esc_url(get_theme_mod('graphics_designer_twitter_url')) ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php echo esc_html('Twitter', 'graphics-designer'); ?></span></a>
									<?php }?>
									<?php if(get_theme_mod('graphics_designer_instagram_url') != ''){?>
										<a href="<?php echo esc_url(get_theme_mod('graphics_designer_instagram_url')) ?>"><i class="fab fa-instagram"></i><span class="screen-reader-text"><?php echo esc_html('Instagram', 'graphics-designer'); ?></span></a>
									<?php }?>
									<?php if(get_theme_mod('graphics_designer_pinterest_url') != ''){?>
										<a href="<?php echo esc_url(get_theme_mod('graphics_designer_pinterest_url')) ?>"><i class="fab fa-pinterest-p"></i><span class="screen-reader-text"><?php echo esc_html('Pinterest', 'graphics-designer'); ?></span></a>
									<?php }?>
								</div>
							</div>
						<?php }?>
						</div>
					<!-- </div> -->
					</div>
				</div>
			<div class="header-inn col-md-9 col-md-offset3 col-sm-12">

				<div class="clearfix"></div>
				<div class="container">
					<div class="row mx-0">
						<div class="col-lg-4 col-md-12 align-self-center mainlogo">
							<div class="logo text-lg-left text-center">
								<?php if ( has_custom_logo() ) : ?>
				            		<?php the_custom_logo(); ?>
					            <?php endif; ?>
				             	<?php if (get_theme_mod('graphics_designer_show_site_title',true)) {?>
				          			<?php $blog_info = get_bloginfo( 'name' ); ?>
					                <?php if ( ! empty( $blog_info ) ) : ?>
					                  	<?php if ( is_front_page() && is_home() ) : ?>
					                    	<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					                  	<?php else : ?>
				                      		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				                  		<?php endif; ?>
					                <?php endif; ?>
					            <?php }?>
					            <?php if (get_theme_mod('graphics_designer_show_tagline',true)) {?>
					                <?php $description = get_bloginfo( 'description', 'display' );
				                  	if ( $description || is_customize_preview() ) : ?>
					                  	<p class="site-description"><?php echo esc_html($description); ?></p>
				              		<?php endif; ?>
				          		<?php }?>
							</div>
						</div>
						<!-- <div class="row "> -->
							<div class="menu-bar ">
								<div class="toggle-menu responsive-menu text-md-left text-center">
									<?php if(has_nav_menu('primary')){ ?>
						            	<button onclick="graphics_designer_open()" role="tab" class="mobile-menu"><i class="fas fa-bars"></i><span class="screen-reader-text"><?php esc_html_e('Open Menu','graphics-designer'); ?></span></button>
						            <?php }?>
						        </div>
								<div id="sidelong-menu" class="nav sidenav ">
					                <nav id="primary-site-navigation" class="nav-menu" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'graphics-designer' ); ?>">
					                  	<?php if(has_nav_menu('primary')){
						                    wp_nav_menu( array( 
												'theme_location' => 'primary',
												'container_class' => 'main-menu-navigation clearfix' ,
												'menu_class' => 'clearfix',
												'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
												'fallback_cb' => 'wp_page_menu',
						                    ) ); 
					                  	} ?>
					                  	<a href="javascript:void(0)" class="closebtn responsive-menu" onclick="graphics_designer_close()"><i class="fas fa-times"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','graphics-designer'); ?></span></a>
					                </nav>
					            </div>
					        </div>
						<!-- </div> -->
					</div>
				</div>
			</div>
		<!-- </div> -->

		</div>
	<!-- </div> -->
</div>

<?php if(is_singular()) {?>
	<div id="inner-pages-header">
		<div class="header-overlay"></div>
	    <div class="header-content">
		    <div class="container"> 
		      	<h1><?php single_post_title(); ?></h1><br>
		      	<div class="theme-breadcrumb mt-2">
					<?php graphics_designer_breadcrumb();?>
				</div>
		    </div>
		</div>
	</div>
<?php } ?>