<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'graphics_designer_above_slider' ); ?>

	<?php if( get_theme_mod('graphics_designer_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div class="slider-olay"></div>
			<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
			    <?php $graphics_designer_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'graphics_designer_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $graphics_designer_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($graphics_designer_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $graphics_designer_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
					        <div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
					        	<div class="sliderimg">
		            				<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
							    </div>
			        			<div class="carousel-caption">
						            <div class="inner-carousel">
						              	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						              	<p class="mb-0"><?php $graphics_designer_excerpt = get_the_excerpt(); echo esc_html( graphics_designer_string_limit_words( $graphics_designer_excerpt,15 ) ); ?></p>
						              	<a href="<?php the_permalink(); ?>" class="read-btn"><?php esc_html_e('Contact Us','graphics-designer'); ?></a>
				            		</div>
				            	</div>
					        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      	<span class="carousel-control-prev-icon" ><i class="fa fa-angle-left"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Prev','graphics-designer' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      	<span class="carousel-control-next-icon"><i class="fa fa-angle-right"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Next','graphics-designer' );?></span>
			    </a>
			</div>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('graphics_designer_below_slider'); ?>

	<?php if( get_theme_mod('graphics_designer_service_category_setting') != '' || get_theme_mod('graphics_designer_section_title') != '' ){?>
		<section id="service-section" class="py-5">
			<div class="container"> 
				<?php if(get_theme_mod('graphics_designer_section_title') != ''){ ?>
					<h3 class="text-center"><i class="fa fa-th-large" ></i> <?php echo esc_html(get_theme_mod('graphics_designer_section_title')); ?></h3>
				<?php }?>
				<?php if(get_theme_mod('graphics_designer_section_subtitle') != ''){ ?>
					<h2 class="text-center"><?php echo esc_html(get_theme_mod('graphics_designer_section_subtitle')); ?></h2>
				<?php }?>
	        	<div class="row ">  
	        		<?php $graphics_designer_catData1 =  get_theme_mod('graphics_designer_service_category_setting');
					if($graphics_designer_catData1){ 
						$args = array(
							'post_type' => 'post',
							'category_name' => $graphics_designer_catData1,
				        );
				        $i=1; ?>
		        		<?php $query = new WP_Query( $args );
			          	if ( $query->have_posts() ) :
			        		while( $query->have_posts() ) : $query->the_post(); ?>
			        			<div class="col-lg-4 col-md-6">
			          				<div class="service-box ">
			          					<?php if(has_post_thumbnail()) { ?>
			          						<div class="service-img">
			          							<?php the_post_thumbnail(); ?>
			          						</div>
			          					<?php }?>
	          							<div class="service-content">
				            				<a href="<?php the_permalink(); ?>"><h4><?php the_title(); ?></h4></a>
							              	<p class="mb-2"><?php $graphics_designer_excerpt = get_the_excerpt(); echo esc_html( graphics_designer_string_limit_words( $graphics_designer_excerpt,20 ) ); ?></p>
							              	<a href="<?php the_permalink(); ?>" class="service-btn"><?php esc_html_e('Read More', 'graphics-designer'); ?></a>
			            				</div>
			          				</div>
			          			</div>
			          		<?php $i++; endwhile; 
			          		wp_reset_postdata(); ?>
			          	<?php else : ?>
			              	<div class="no-postfound"></div>
			            <?php endif; ?>
		      		<?php }?>
	          	</div>
			</div>
		</section>
	<?php }?>

	<?php do_action('graphics_designer_below_service_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>